libmad-ocaml_0.4.4-1+b2_amd64.deb


Advertisement

Description

libmad-ocaml - OCaml bindings for the MAD library (Runtime library)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libmad-ocaml
Package version 0.4.4
Package release 1+b2
Package architecture amd64
Package type deb
Installed size 56 B
Download size 10.99 KB
Official Mirror ftp.br.debian.org
This OCaml library interfaces the MAD C library to decode MPEG files.
The MAD library currently only supports the MPEG 1 standard, but fully
implements all three audio layers (Layer I, Layer II, and Layer III, the
latter often colloquially known as MP3.)
MAD has the following special features:
- 100% fixed-point (integer) computation
- completely new implementation based on the ISO/IEC 11172-3 standard
- distributed under the terms of the GNU General Public License (GPL)
This package contains only the shared runtime stub libraries.

Alternatives

Package Version Architecture Repository
libmad-ocaml_0.4.4-1+b2_i386.deb 0.4.4 i386 Debian Main
libmad-ocaml - - -

Requires

Name Value
libc6 >= 2.14
libmad0 >= 0.15.1b-3
ocaml-base-nox-4.01.0 -

Provides

Name Value
libmad-ocaml-rt858 -

Download

Type URL
Binary Package libmad-ocaml_0.4.4-1+b2_amd64.deb
Source Package ocaml-mad

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libmad-ocaml deb package:
    # sudo apt-get install libmad-ocaml

Files

Path
/usr/lib/ocaml/stublibs/dllmad_stubs.so
/usr/share/doc/libmad-ocaml/README
/usr/share/doc/libmad-ocaml/changelog.Debian.amd64.gz
/usr/share/doc/libmad-ocaml/changelog.Debian.gz
/usr/share/doc/libmad-ocaml/changelog.gz
/usr/share/doc/libmad-ocaml/copyright

Changelog

2011-10-08 - Romain Beauxis <toots@rastageeks.org>
ocaml-mad (0.4.4-1) unstable; urgency=low
* New upstream release. 
2011-08-24 - Romain Beauxis <toots@rastageeks.org>
ocaml-mad (0.4.3-1) unstable; urgency=low
* New upstream release. 
2011-07-02 - Romain Beauxis <toots@rastageeks.org>
ocaml-mad (0.4.2-1) unstable; urgency=low
* New upstream release.
2011-05-12 - Romain Beauxis <toots@rastageeks.org>
ocaml-mad (0.4.1-1) unstable; urgency=low
* New upstream release. 
* Switch to dpkg-source 3.0 (quilt) format
2011-03-03 - Romain Beauxis <toots@rastageeks.org>
ocaml-mad (0.4.0-2) unstable; urgency=low
* Upload to unstable. 
2010-08-19 - Romain Beauxis <toots@rastageeks.org>
ocaml-mad (0.4.0-1) experimental; urgency=low
* New upstream release.
* Upload to experimental while squeeze is frozen.
* Bumped standards to 3.9.1 
2009-10-12 - Romain Beauxis <toots@rastageeks.org>
ocaml-mad (0.3.6-1) unstable; urgency=low
* New upstream release
* Dropped patch applied upstream 
2009-10-07 - Mehdi Dogguy <mehdi@debian.org>
ocaml-mad (0.3.5-3) unstable; urgency=low
* Add a patch to not link system libraries into cma (Closes: #549761)
* Add quilt to build-dependencies
* Add myself to uploaders
* Switch to new dh-ocaml
* Updated standards to 3.8.3.
- Move to section ocaml
- add a README.source
* Buil-depend on findlib (>= 1.2.5)
2009-02-25 - Samuel Mimram <smimram@debian.org>
ocaml-mad (0.3.5-2) unstable; urgency=low
* Switch packaging to git
* Use dh-ocaml's predefined variables.
* Rebuild with OCaml 3.11.
* Update compat to 7.
2009-01-05 - Romain Beauxis <toots@rastageeks.org>
ocaml-mad (0.3.5-1) experimental; urgency=low
* New upstream release.

See Also

Package Description
libmad0-dev_0.15.1b-8+deb8u1_amd64.deb MPEG audio decoder development library
libmad0_0.15.1b-8+deb8u1_amd64.deb MPEG audio decoder library
libmadlib-dev_1.3.0-2.1_amd64.deb mesh adaptation library
libmadlib_1.3.0-2.1_amd64.deb mesh adaptation library
libmagic-dev_5.22+15-2+deb8u4_amd64.deb File type determination library using "magic" numbers (development)
libmagic-ocaml-dev_0.7.3-5+b4_amd64.deb OCaml bindings for the File type determination library
libmagic-ocaml_0.7.3-5+b4_amd64.deb OCaml bindings for the File type determination library
libmagic1_5.22+15-2+deb8u4_amd64.deb File type determination library using "magic" numbers
libmagick++-6-headers_6.8.9.9-5+deb8u12_all.deb object-oriented C++ interface to ImageMagick - header files
libmagick++-6.q16-5_6.8.9.9-5+deb8u12_amd64.deb object-oriented C++ interface to ImageMagick
libmagick++-6.q16-dev_6.8.9.9-5+deb8u12_amd64.deb object-oriented C++ interface to ImageMagick - development files
libmagick++-dev_6.8.9.9-5+deb8u12_all.deb object-oriented C++ interface to ImageMagick
libmagickcore-6-arch-config_6.8.9.9-5+deb8u12_amd64.deb low-level image manipulation library - architecture header files
libmagickcore-6-headers_6.8.9.9-5+deb8u12_all.deb low-level image manipulation library - header files
libmagickcore-6.q16-2-extra_6.8.9.9-5+deb8u12_amd64.deb low-level image manipulation library - extra codecs (Q16)
Advertisement
Advertisement